POST api/tradespeople/enroll
Request Information
URI Parameters
None.
Body Parameters
TradespersonEnrollmentRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| BusinessName | string |
None. |
|
| BusinessRegistrationNumber | string |
None. |
|
| Description | string |
None. |
|
| YearsExperience | integer |
None. |
|
| Latitude | decimal number |
None. |
|
| Longitude | decimal number |
None. |
|
| ServiceRadiusKm | decimal number |
None. |
|
| EmergencyAvailable | boolean |
None. |
|
| CallOutFee | decimal number |
None. |
|
| MinimumJobFee | decimal number |
None. |
|
| Categories | Collection of TradespersonCategoryRequest |
None. |
Request Formats
application/json, text/json
Sample:
{
"businessName": "sample string 1",
"businessRegistrationNumber": "sample string 2",
"description": "sample string 3",
"yearsExperience": 4,
"latitude": 5.1,
"longitude": 6.1,
"serviceRadiusKm": 7.1,
"emergencyAvailable": true,
"callOutFee": 9.0,
"minimumJobFee": 10.0,
"categories": [
{
"tradeCategoryId": 1,
"tradeSubcategoryId": 1,
"yearsExperience": 2,
"isPrimary": true
},
{
"tradeCategoryId": 1,
"tradeSubcategoryId": 1,
"yearsExperience": 2,
"isPrimary": true
}
]
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.